;
(function($) {
    $(document).ready(function() {

        /*-------------------------------------------------------------------------------
        javaScript for sticky header
        -------------------------------------------------------------------------------*/
        $(".header-area").sticky();

        $(".navbar-toggler").on("click", function() {
            $(".header-area, .offcanvas-wraper").toggleClass("active");
        });

        $(".navbar-toggler").on("click", function() {
            $(".menu-overlay").toggleClass("show");
        });

        $(".mobile-dropdown-trigger").click(function() {
            $(".mega-menu-wrap").toggle();
        });

        /*---------------------------------
		Javascript for wow animation
		----------------------------------*/
        new WOW().init();

        /*---------------------------------
		nice select
		----------------------------------*/
        $('select').niceSelect();

        /*-------------------------------------------------------------------------------
        Brands Slider 
        -------------------------------------------------------------------------------*/
        $('.brands-slider').slick({
            slidesToShow: 6,
            slidesToScroll: 1,
            arrows: false,
            fade: false,
            responsive: [{
                    breakpoint: 1445,
                    settings: {
                        slidesToShow: 4,
                        slidesToScroll: 1,
                    }
                },
                {
                    breakpoint: 768,
                    settings: {
                        slidesToShow: 2,
                        slidesToScroll: 1,
                    }
                },
                {
                    breakpoint: 445,
                    settings: {
                        slidesToShow: 2,
                        slidesToScroll: 1,
                    }
                },
            ]
        });

        /*-------------------------------------------------------------------------------
        window type Slider 
        -------------------------------------------------------------------------------*/
        $('.window-types-slider').slick({
            slidesToShow: 4,
            slidesToScroll: 1,
            arrows: false,
            dots: true,
            fade: false,
            responsive: [{
                    breakpoint: 1200,
                    settings: {
                        slidesToShow: 3,
                        slidesToScroll: 1,
                    }
                },
                {
                    breakpoint: 992,
                    settings: {
                        slidesToShow: 2,
                        slidesToScroll: 1,
                    }
                },
                {
                    breakpoint: 575,
                    settings: {
                        slidesToShow: 1,
                        slidesToScroll: 1,
                    }
                },
            ]
        });



    })
}(jQuery));